# June 16, 2023

## API Updates

* (Withings): Add sleep score to `daily` payloads
* (FreestyleLibre-Body): Add GMI, Time in Range, sensor usage, and daily patterns to glucose data
* (Google-Activity): Add data that each device contributes to under `data_provided` in `device_data`
* (Suunto-Activity): Add swimming cadence in strokes per minute under `cadence_rpm`
* (List Integrations endpoint): Add functionality to allow filtering based on providers selected on Dashboard

## Dashboard

* (Data Generator): automate data generator to be self-updating, so all fields should always match the most up-to-date ones

## Bugfixes

* (Freestyle Libre): Various updates for login & data fetching, causing errors due to updates in the Libreview API
* (Wahoo): fix error causing some activities to have errors during normalization
* (List integrations endpoint): Fix missing data types not being output for each provider
* (Fitbit-body): Prevent Fitbit from returning data from the future 🛸
* (Garmin-planned-workouts): Fix bug causing requests for over a month of data to error
* (Samsung): Fix a bug causing in-bed time not to be returned when no sleep samples are present
* (Polar-Google-Activity): Correct average speed values for activities
* (`with_samples` parameter): correct functionality for the `with_samples`
* (Withings Body): Localize all timestamps in users' time zone
* (Strava Activity): fetch speed samples as provided by Strava instead of calculating based off Distance samples
* (Withings Body): Fixed a bug preventing HR and SpO2 data from being fetched when a user had ECG data present

## Graph API

* Add support for Garmin

## OdinAI

* Improve custom embeddings for workout recommendations


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tryterra.co/changelog/2023/2023-06-16.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
